org.springframework.http

## Interface HttpOutputMessage

- All Superinterfaces:
    HttpMessage
  All Known Subinterfaces:
    ClientHttpRequest, ServerHttpResponse
  All Known Implementing Classes:
    AbstractClientHttpRequest, MockClientHttpRequest, MockHttpOutputMessage, ServletServerHttpResponse

      public interface HttpOutputMessage
      extends HttpMessage

  Represents an HTTP output message, consisting of headers and a writable body.

  Typically implemented by an HTTP request on the client-side, or a response on the server-side.

  Since:
    3.0
  Author:
    Arjen Poutsma

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputStream` | `getBody()` Return the body of the message as an output stream.

    - ### Methods inherited from interface org.springframework.http.HttpMessage

      `getHeaders`

- - ### Method Detail

    - #### getBody

          OutputStream getBody()
                               throws IOException

      Return the body of the message as an output stream.
      Returns:
        the output stream body
      Throws:
        `IOException` - in case of I/O Errors